@echo off

rem  ------------------------------------------------------------------------
rem  beep 15 times, then cycle silently until a key is hit
rem  set errorlevel to ascii code of the key that is hit
rem  use this errorlevel to branch within batch file
rem  ------------------------------------------------------------------------

cls
set beeps=8

echo.
echo	    demo8.bat  demo for program dpgnbel8
echo.
echo.
echo	    beep user-specified number of times (%beeps% times in this case),
echo.
echo	    then cycle silently until any key hit.
echo.	
echo	    return errorlevel is equal to ascii value of key hit.
echo.
echo	    use this errorlevel to control batch program branching.
echo.
echo       see ascii.txt (included) for ascii values of keystrokes.
echo.     	
echo	    all choices case sensitive.
echo.	
echo    ctrl-x -- exit
echo         w -- print w
echo         x -- print x
echo         y -- print y
echo any other -- stop beeping


	rem **************************************************
	rem note:  the errorlevel check tests for the specified
	rem        value OR HIGHER.  this batch code line ...
	rem
	rem	   if errorlevel 1 echo one
	rem
	rem	   is executed if the errorlevel is 1 OR HIGHER,
	rem	   (i.e., if errorlevel is 1-255)
	rem
	rem	   therefore, if your batch program checks for 
	rem 	   errorlevel 121 (y) and errorlevel 120 (x), 
	rem	   you must check for errorlevel 121 first.  if you 
	rem	   check for errorlevel 120 first, the errorlevel 120 
	rem	   line will be executed whether the errorlevel 
	rem	   is 120 or 121, because the batch program checks for 
	rem	   the specified errorlevel OR HIGHER.
	rem
	rem	   note that the below code also checks for errorlevel 122 
	rem        (any errorlevel > y) to ensure that hitting z is
	rem	   ignored.  (try it and see.)
	rem **************************************************


echo %beeps%|dpgnbel8

:top

rem ***********
rem errorlevel = 122 = z
rem ***********

if not errorlevel 122 goto not122   
goto bottom
:not122

rem ***********
rem errorlevel = 121 = y
rem ***********

if not errorlevel 121 goto not121   
echo y
goto bottom
:not121

rem ***********
rem errorlevel = 120 = x
rem ***********

if not errorlevel 120 goto not120   
echo x
goto bottom
:not120

rem ***********
rem errorlevel = 119 = w
rem ***********

if not errorlevel 119 goto not119     
echo w
goto bottom
:not119

rem ***********
rem errorlevel = 25 = ctrl+y
rem ***********

if not errorlevel 25 goto not25     
goto bottom
:not25

rem ***********
rem errorlevel = 24 = ctrl+x
rem ***********

if not errorlevel 24 goto not24   
goto end
:not24

:bottom

rem ***********
rem cycle silently (beep 0 times) until any key hit
rem ***********

echo 0|dpgnbel8

goto top
     
:end
